Ravens PHP Scripts

phpBB Private Message Deletion Cross-Site Request Forgery
Date: Friday, January 25, 2008 @ 21:29:15 PST
Topic: Security


SECUNIA ADVISORY ID: SA28630

VERIFY ADVISORY: http://secunia.com/advisories/28630/

CRITICAL: Less critical

IMPACT: Cross Site Scripting, Manipulation of data

SOFTWARE: phpBB 2.x - http://secunia.com/product/463/



DESCRIPTION: NBBN has discovered a vulnerability in phpBB, which can be exploited by malicious people to conduct cross-site request forgery attacks. The vulnerability is confirmed in version 2.0.22. Other versions may also be affected.



The vulnerability is caused due to the application allowing users to perform certain actions via HTTP requests without performing any validity checks to verify the request. This can be exploited to delete all of a user's private messages.

SOLUTION: Do not browse untrusted websites while logged on to phpBB.

PROVIDED AND/OR DISCOVERED BY: NBBN


Montego added: Evaders has tested and released a fix for phpBB 2.0.22 and BBToNuke 2.0.22 See: http://evaders.swrebellion.com/forums/postt96.html



This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=3210